Package org.jboss.resteasy.core

## Class HeaderParamInjector

- java.lang.Object
- - org.jboss.resteasy.core.StringParameterInjector
  - - org.jboss.resteasy.core.HeaderParamInjector

- All Implemented Interfaces:
    `ValueInjector`

      public class HeaderParamInjector
      extends StringParameterInjector
      implements ValueInjector

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.core.StringParameterInjector

      `baseGenericType, baseType, collectionType, constructor, defaultValue, delegate, isArray, isCollection, paramConverter, paramName, paramType, target, type, unmarshaller, valueOf`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HeaderParamInjector​(Class type, Type genericType, AccessibleObject target, String header, String defaultValue, Annotation[] annotations, ResteasyProviderFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `inject​(boolean unwrapAsync)` | Inject outside the context of an HTTP request.
    `Object` | `inject​(HttpRequest request, HttpResponse response, boolean unwrapAsync)` | Inject inside the context of an HTTP request.

    - ### Methods inherited from class org.jboss.resteasy.core.StringParameterInjector

      `extractValue, extractValues, getHeaderDelegate, getParamConverter, getParamSignature, initialize, isCollectionOrArray, throwProcessingException`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeaderParamInjector

          public HeaderParamInjector​(Class type,
                                     Type genericType,
                                     AccessibleObject target,
                                     String header,
                                     String defaultValue,
                                     Annotation[] annotations,
                                     ResteasyProviderFactory factory)

  - ### Method Detail

    - #### inject

          public Object inject​(HttpRequest request,
                               HttpResponse response,
                               boolean unwrapAsync)

      Description copied from interface: `ValueInjector`
      Inject inside the context of an HTTP request.
      Specified by:
        `inject` in interface `ValueInjector`
      Parameters:
        `request` - http request
        `response` - http response
        `unwrapAsync` - unwrap async
      Returns:
        object

    - #### inject

          public Object inject​(boolean unwrapAsync)

      Description copied from interface: `ValueInjector`
      Inject outside the context of an HTTP request. For instance, a singleton may have proxiable and injectable jax-rs objects like Request, UriInfo, or HttpHeaders.
      Specified by:
        `inject` in interface `ValueInjector`
      Parameters:
        `unwrapAsync` - unwrap async
      Returns:
        object